Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.filter.osis
Class OSISFilter

    java.lang.Object
      org.crosswire.jsword.book.filter.osis.OSISFilter

All Implemented Interfaces:
  Cloneable, Filter

    public class OSISFilter

extends Object
implements Filter

Filter to convert an OSIS XML string to OSIS format.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Field Summary
`private static Logger` | `log` The log stream

Constructor Summary
`OSISFilter()`

Method Summary
`private org.jdom.Element` | `cleanTags(Book book, Key key, String plain)`
`Object` | `clone()` This needs to be declared here so that it is visible as a method on a derived Key.
`private org.jdom.Element` | `parse(String plain)` If the string is invalid then we might want to have more than one crack at parsing it
`List` | `toOSIS(Book book, Key key, String plain)` Converter from plain (encoded) text to OSIS data

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final Logger log

  The log stream

Constructor Detail

### OSISFilter

    public OSISFilter()

Method Detail

### toOSIS

    public List toOSIS(Book book,
                       Key key,
                       String plain)

  Description copied from interface: `Filter`
  Converter from plain (encoded) text to OSIS data

  Specified by:
    `toOSIS` in interface `Filter`
    `key` - The key for the text
    `plain` - The encoded text
  Returns:
    a List of OSIS Elements

### clone

    public Object clone()

  Description copied from interface: `Filter`
  This needs to be declared here so that it is visible as a method on a derived Key.

  Specified by:
    `clone` in interface `Filter`
  Overrides:
    `clone` in class `Object`
  Returns:
    A complete copy of ourselves

### cleanTags

    private org.jdom.Element cleanTags(Book book,
                                       Key key,
                                       String plain)

### parse

    private org.jdom.Element parse(String plain)
                            throws org.jdom.JDOMException,
                                   IOException

  If the string is invalid then we might want to have more than one crack at parsing it

  Throws:
    `org.jdom.JDOMException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD